
QGIS Application - Bug report #3585

WMS-C troubles with BBOX

2011-03-09 11:02 AM - Luca Casagrande

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13645

Description

The tiled layer from this service doesn't work:

http://osm.omniscale.net/proxy/service?tiled=true

Debugging the request I can get this information

GET

/proxy/service?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&BBOX=-89.910000,5.038871,0.090000,95.038871&SRS=EPSG:4

G:4326&WIDTH=256&HEIGHT=256&LAYERS=osm&STYLES=&FORMAT=image/png&TILED=true

Changing BBOX by hand works fine:

http://osm.omniscale.net/proxy/service?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-90.0000,0.000,

.000000,90.00&#38;SRS=EPSG:4326&#38;WIDTH=256&#38;HEIGHT=256&#38;LAYERS=osm&#38;STYLES=&#38;FORMAT=image/png&#38;TILED=true

e/png&#38;TILED=true

It seems that QGis calculate a wrong BBOX and [[MapProxy]] doesn't accept it.

It'a all fine using [[GeoWebCache]], but it allows a big tollerance.

Associated revisions

Revision ca31b175 - 2011-03-12 11:10 PM - Jürgen Fischer

fix #3585

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15457 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a41769fd - 2011-03-12 11:10 PM - Jürgen Fischer

fix #3585

git-svn-id: http://svn.osgeo.org/qgis/trunk@15457 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-03-12 02:10 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
fixed in commit:a41769fd (SVN r15458).
